Seite 2 von 2 ErsteErste 12
Ergebnis 11 bis 20 von 20

Thema: Dynamic Price Updater v2.1

  1. #11
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Ich habe es jetzt in einem 1.3.9 auch mit Chromes neuer 2.1 probiert und auch da geht das ganz normal und ohne Fehler.
    Bei Dir bekomme ich in der Fehlerkonsole
    Code:
    Fehler: XML- oder Text-Deklaration nicht am Beginn der Entität
    Quelldatei: http://www.canvas-popart.com/shop/dpu_ajax.php
    Zeile: 5, Spalte: 1
    Quelltext:
    <?xml version="1.0" encoding="UTF-8" ?>
    Bei Dir wird ein Stylesheet namens stylez_css_buttons.css mitgeladen, das fehlerhaft ist (Kommentar nicht abgeschlossen).
    Hier würde ich mal ansetzen, der Updater selbst ist völlig ok.
    Dieses Modul "file upload Required" kennen ich nicht, das scheint aber nichts zu verändern was hier von Belang wäre.
    Ein guter Test ist auch immer mal aufs classic Template umzuschalten. Wenn es in dem geht - und in jedem 1.3.9 mit classic gehts - dann ist die Sache ohnehin klar.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  2. #12
    Padawan Anwärter Avatar von goerni
    Registriert seit
    27.06.2011
    Ort
    Wien
    Beiträge
    12
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    >> Bei Dir wird ein Stylesheet namens stylez_css_buttons.css mitgeladen <<

    Daran kann es nicht liegen, er wollte auch ohne dem Stylesheet nicht.

    Ich hab jetzt das Classic-Template versucht und auch da Fehlanzeige.

    Interessant ist folgendes: Auf einem Samsung Android 2.2-Mobiltelefon funktioniert die ganze Sache!

  3. #13
    Padawan Anwärter Avatar von goerni
    Registriert seit
    27.06.2011
    Ort
    Wien
    Beiträge
    12
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Unter Classic taucht auch "VAT_SHOW_TEXT" auf ...

  4. #14
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Wenn Du es unter classic wirklich testen willst, dann musst Du die rl.vat_info.php auch hochladen nach
    includes/languages/german/extra_definitions/classic

    Ich kann das Problem nicht nachstellen, hier eine 1.3.9h Installation wo das problemlos funkt (aktuelle 2.1 Version aus dem US-Forum). Auch mit der Lightbox (ist hier nicht aktiv):
    http://www.webchills.com/139hde/inde...products_id=22
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  5. #15
    Padawan Anwärter Avatar von goerni
    Registriert seit
    27.06.2011
    Ort
    Wien
    Beiträge
    12
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    So, gerade gemacht. das Ding will mich nicht

    Ich lass den Shop jetzt einmal auf Classic ...
    Nach wie vor die gleiche Fehlermeldung in Firefox:

    Fehler: this._responseXML.getElementsByTagName("responseTy pe")[0] is undefined
    Quelldatei: http://www.canvas-popart.com/shop/in...&products_id=1
    Zeile: 152

  6. #16
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Für ein realistisches Bild müsstest Du dann auch die Lightbox Dateien in die entsprechenden classic Ordner legen. Oder mal die Lightbox deaktivieren.

    Was mir aber auffällt in all Deinen Seiten ist, dass der Quellcode in Firefox erst mit etlichen Zeilen Abstand angezeigt wird. Vergleiche mal den Quellcode Deiner Seite mit dem vom Link, den ich gepostet habe.
    Ohne FTP-Zugang kann ich nur spekulieren, aber die Meldung in der Konsole weist drauf hin, dass der Doctype nicht korrekt übermittelt wird. Das könnte durch Änderungen in der html_header.php kommen oder durch Sprachdateien, die nicht richtig kodiert sind.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  7. #17
    Padawan Anwärter Avatar von goerni
    Registriert seit
    27.06.2011
    Ort
    Wien
    Beiträge
    12
    Themen
    1
    DANKE
    0
    Erhaltene Danke: 0
    Erstellt von

    Standard

    >> Was mir aber auffällt in all Deinen Seiten ist, dass der Quellcode in Firefox erst mit etlichen Zeilen Abstand angezeigt wird. <<

    Ich habe jetzt die Lightbox deaktiviert und COWOA ausgeschalten, Template ist Classic.

    Dann hab ich den Quelltext einer Seite genommen, die vier Leerzeilen gelöscht und diesen Quelltext unter: http://www.canvas-popart.com/shop/test.php auf den Server gespielt.
    Die Leerzeilen am Beginn sind jetzt weg, Updater mag nicht. Allerdings sagt die Fehlerkonsole nun, dass die Leerzeilen von "dpu–ajax.php" kommen: Fehler: XML- oder Text-Deklaration nicht am Beginn der Entität
    Quelldatei: http://www.canvas-popart.com/shop/dpu_ajax.php
    Zeile: 5, Spalte: 1
    Quelltext:
    <?xml version="1.0" encoding="UTF-8" ?>

    und nach wie vor:
    Fehler: this._responseXML.getElementsByTagName("responseTy pe")[0] is undefined
    Quelldatei: http://www.canvas-popart.com/shop/test.php
    Zeile: 149


    Wenn ich den Scriptteil der beiden Quelltexte vergleiche sind da schon kleine Unterschiede, wie weit sich diese auf die Funktion auswirken kann ich leider nicht sagen ;-(

    Ach ja, und danke für Deine Hilfe! Damit das auch einmal gesagt ist ...

  8. #18
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Ich kann nur anbieten, dass Du mir per PM einen FTP Zugang gibst und ich mir das live am Server ansehe. Alles andere ist jetzt nurmehr Kaffeesudlesen.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  9. #19
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Wie vermutet waren es falsche Änderungen in Sprachdateien und Templates.
    Ich hab das jetzt nicht alles analysiert, sondern einfach in den classic Verzeichnissen sämtliche Templates und Sprachfiles mit den Originaldateien ersetzt. DPU 2.0 läuft völlig problemlos.
    In Deinem echten Template habe ich nichts verändert, wenn es also nach Umschalten auf das orange Template wieder nicht geht, dann sieh nach, welche Originaldateien Du verändert hast.
    Es sollten nie Änderungen in includes/templates/template_default gemacht werden, sondern immer im entsprechenden Override Verzeichnis. Genau dasselbe gilt für Änderungen in Sprachdateien.
    Wie Du es geschafft hast, den Text unten (Was ist Pop-Art) unterhalb des schließenden </body> Tags zu plazieren hab ich jetzt auf die Schnelle nicht gefunden. Das ist noch was, was ebenfalls diverse Dinge stören kann.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  10. #20
    Padawan Stufe VI Avatar von afrobay
    Registriert seit
    06.08.2005
    Beiträge
    812
    Themen
    191
    DANKE
    53
    Erhaltene Danke: 9

    Standard

    Hmmm, das geht immer noch nicht ...
    Tschade R • E • N • A • T • E

Seite 2 von 2 ErsteErste 12

Ähnliche Themen

  1. Dynamic price updater 2.0
    Von q065sb im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 2
    Letzter Beitrag: 29.07.2010, 13:43
  2. Dynamic Price Updater multilanguage
    Von webchills im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 20
    Letzter Beitrag: 30.03.2010, 09:06
  3. Dynamic Price Updater 1.00 RC1
    Von web28 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 0
    Letzter Beitrag: 02.08.2009, 17:25
  4. Dynamic Price Updater für ZC 1.2.6
    Von amazpix im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 1
    Letzter Beitrag: 30.09.2008, 23:07
  5. Probleme mit Dynamic Price Updater
    Von timmrose im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 7
    Letzter Beitrag: 08.06.2008, 19:07

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]